青龙面板安装依赖库

我是在铁威马的docker里面操作的,openwrt以及其他系统下面的docker应该是大同小异。
docker ps
CONTAINER ID IMAGE COMMAND CREATED STATUS PORTS NAMES
5b46dabac8c9 whyour/qinglong “./docker/docker-e…” 9 hours ago Up 9 hours whyour_qinglong
73d7315f0339 adolfintel/speedtest “docker-php-entryp…” 9 hours ago Up 9 hours 0.0.0.0:70->80/tcp adolfintel_speedtest
docker exec -it 5b46dabac8c9 bash
输入下面的安装命令,回车,坐等结束。
curl -fsSL https://raw.githubusercontent.com/FlechazoPh/QLDependency/main/Shell/QLOneKeyDependency.sh | sh
然后去青龙面板里面手工增加对应的依赖管理。
NodeJs 依赖库
crypto-js
prettytable
dotenv
jsdom
date-fns
tough-cookie
tslib
ws@7.4.3
ts-md5
jsdom -g
jieba
fs
form-data
json5
global-agent
png-js
@types/node
require
typescript
js-base64
axios

Python3 依赖库
requests
canvas
ping3
jieba
aiohttp

Linux 依赖库
bizCode
bizMsg
lxml

在青龙面板依赖库中添加后会自动执行安装,点击日志或者刷新页面可以查看是否安装成功,若安装失败可以点击重新安装。如果重新安装仍然失败,那要检查是不是有其他的问题。
比如linux的依赖就会安装失败。

输入 docker inspect 容器名 去查看容器地址。
# docker inspect 5b46dabac8c9
此处省略若干行。。。。。。
“MergedDir”: “/mnt/md0/appdata/docker/overlay2/63c768eae6e9faf7564128ea62dfdda9c0dd3c4e2fe89dd7b932812716e8efd7/merged”,
于是顺藤摸瓜找到目标文件夹是这个。
/mnt/md0/appdata/docker/overlay2/63c768eae6e9faf7564128ea62dfdda9c0dd3c4e2fe89dd7b932812716e8efd7/merged/usr/lib/python3.10
然后去https://pypi.org/project/lxml/#files 下载对应的包放到这个文件夹下面。

直接进入容器
docker exec -it 5b46dabac8c9 bash
然后,创建一个虚拟环境然后来安装,这样就没问题了。否则会报错。
:/ql $ pip install lxml
Looking in indexes: https://pypi.doubanio.com/simple/
Collecting lxml
Downloading https://pypi.doubanio.com/packages/a7/52/e72cbbbf43845313b9adfa7820aa75898b3832bd6bacc3bdb18dfdcbd8f8/lxml-4.9.1-cp310-cp310-musllinux_1_1_x86_64.whl (7.6 MB)
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 7.6/7.6 MB 14.5 MB/s eta 0:00:00
Installing collected packages: lxml
Successfully installed lxml-4.9.1
WARNING: Running pip as the ‘root’ user can result in broken permissions and conflicting behaviour with the system package manager. It is recommended to use a virtual environment instead: https://pip.pypa.io/warnings/venv
运行下面指令可破。
source tutorial-env/bin/activate
然后再运行 pip install lxml
:/ql $ pip install lxml
Looking in indexes: https://pypi.doubanio.com/simple/
Collecting lxml
Downloading https://pypi.doubanio.com/packages/a7/52/e72cbbbf43845313b9adfa7820aa75898b3832bd6bacc3bdb18dfdcbd8f8/lxml-4.9.1-cp310-cp310-musllinux_1_1_x86_64.whl (7.6 MB)
━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 7.6/7.6 MB 6.7 MB/s eta 0:00:00
Installing collected packages: lxml
Successfully installed lxml-4.9.1
成功搞定。
但是在青龙面板里面linux的依赖依旧安装不成功,搞不懂了。
(tutorial-env) root@TNAS-EDDB:/ql $ pip install bizMsg
Looking in indexes: https://pypi.doubanio.com/simple/
ERROR: Could not find a version that satisfies the requirement bizMsg (from versions: none)
ERROR: No matching distribution found for bizMsg
(tutorial-env) root@TNAS-EDDB:/ql $ pip install bizCode
Looking in indexes: https://pypi.doubanio.com/simple/
ERROR: Could not find a version that satisfies the requirement bizCode (from versions: none)
ERROR: No matching distribution found for bizCode
其他两个目前pip安装失败。有时间再研究。

发表评论

邮箱地址不会被公开。 必填项已用*标注